Subject: bug#59196: guix pull fails on A20-OlinuXino-LIME2-eMMC

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Sun, 13 Nov 2022 21:54:49 +0100

On Sun, 13 Nov 2022 11:48:18 +0100
Tanguy LE CARROUR <[email-masked]> wrote:

> Hi Denis,
> 
> Thanks for your answer.
> 
> Strange thing, though… I didn't received your answer!?
> I came across it by chance while checking
> [bug-guix](https://lists.gnu.org/archive/html/bug-guix).
> 
> > Sat, 12 Nov 2022 16:40:20 +0100
> > Does it also fails with 'guix pull -M 1 -c 1' ?
[...]
> I'll try on a brand new SD card, because the one I used is a bit old.
> 
> Any other ideas about what might have gone wrong?
The command I gave sometimes works on 32bit machines with a low
amount of RAM, so it was worth trying.

Unfortunately here I'm out of ideas, other people with more experience
in Guix might know better.

Also note that I also do have an A20-OlinuXino-LIME2-eMMC, so I might
be able to run tests too if they are fast to do. Maybe I should try to
cross compile a rootfs and see if it boots.

Long time ago it booted if I recall well, and then it stopped working
but I didn't take the time to track the regression down or to try again.

Denis.